%global srcname pylast


Name:		%{srcname}
Version:	1.9.0
Release:	6%{?dist}
Summary:	A Python interface to Last.fm API compatible social networks
Group:		Development/Languages
License:	ASL 2.0
URL:		https://pypi.python.org/pypi/%{srcname}
Source0:	https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch


%description
A Python interface to Last.fm (and other API compatible social networks)


%package -n python3-%{srcname}
Summary:	A Python interface to Last.fm API compatible social networks
BuildRequires:	python3-PyYAML
BuildRequires:	python3-coverage
BuildRequires:	python3-devel
BuildRequires:	python3-mock
BuildRequires:	python3-pbr
BuildRequires:	python3-pep8
BuildRequires:	python3-py
BuildRequires:	python3-pyflakes
BuildRequires:	python3-pytest
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
Requires:	python3-six
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
A Python interface to Last.fm (and other API compatible social networks)


%prep
%setup -q -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
#%%{__python3} setup.py test


%files -n python3-%{srcname}
%license COPYING
%doc README.md
%{python3_sitelib}/*


%changelog
* Tue Jan 15 2019 Miro Hrončok <mhroncok@redhat.com> - 1.9.0-6
- Subpackage python2-pylast has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.9.0-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.9.0-2
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Jul 29 2017 Peter Lemenkov <lemenkov@gmail.com> - 1.9.0-1
- Ver. 1.9.0

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 10 2017 Peter Lemenkov <lemenkov@gmail.com> - 1.7.0-2
- Added necessary Obsoletes

* Tue Jan 10 2017 Peter Lemenkov <lemenkov@gmail.com> - 1.7.0-1
- Ver. 1.7.0

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.1-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Feb  8 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.5.1-1
- Ver. 1.5.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 19 2015 Peter Lemenkov <lemenkov@gmail.com> - 1.4.2-1
- Ver. 1.4.2
- Remove outdated RPM-related stuff and eventually drop compatibility with EPEL < 7
- Python3 sub-package

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.11-1
- Initial package

